Subject: bug#23277: closed (Re: bug#23277: md5sum: Output broken when filename contains \n)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Apr 2016 15:38:03 +0000

Your bug report

#23277: md5sum: Output broken when filename contains \n

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23277: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23277
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23277: md5sum: Output broken when filename contains \n
From: Eric Blake <[email-masked]>
To: Ulrich Sibiller <[email-masked]>, [email-masked]
Date: Tue, 12 Apr 2016 09:37:47 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 23277 notabug
thanks

On 04/12/2016 07:17 AM, Ulrich Sibiller wrote:
> Hello,
> 
> I observe a strange behaviour for {md5,sha1,sha512}sum on RHEL 6.7:
> 
> # sha512sum dat_files/1.000e-01*dat
> a66f6f8f8da256d07330a17bea942bba9584e182799dce2a42bc7e882d4d9267c40568644d7f5b63128b286a6393764fc599cc30f687b8dacf86e0a96d87795c
>  dat_files/1.000e-01.dat
> \a66f6f8f8da256d07330a17bea942bba9584e182799dce2a42bc7e882d4d9267c40568644d7f5b63128b286a6393764fc599cc30f687b8dacf86e0a96d87795c
>  dat_files/1.000e-01\n.dat
> 
> The second file has \n in the name and the output gets a backslash
> prepended which looks wrong to me.

Thanks for the report, but the behavior you are seeing is documented as
intentional.  This is so that a newline in a filename is unambiguously
parseable via an escape sequence (the leading \ tells you that escape
sequences will be present).  As the manual mentions that this is
intentional behavior, I'm closing this as not a bug, but feel free to
respond with further comments.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: md5sum: Output broken when filename contains \n
From: Ulrich Sibiller <[email-masked]>
To: [email-masked]
Date: Tue, 12 Apr 2016 15:17:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I observe a strange behaviour for {md5,sha1,sha512}sum on RHEL 6.7:

# sha512sum dat_files/1.000e-01*dat
a66f6f8f8da256d07330a17bea942bba9584e182799dce2a42bc7e882d4d9267c40568644d7f5b63128b286a6393764fc599cc30f687b8dacf86e0a96d87795c 
  dat_files/1.000e-01.dat
\a66f6f8f8da256d07330a17bea942bba9584e182799dce2a42bc7e882d4d9267c40568644d7f5b63128b286a6393764fc599cc30f687b8dacf86e0a96d87795c 
  dat_files/1.000e-01\n.dat

The second file has \n in the name and the output gets a backslash prepended which looks wrong to me.

Kind regards,

Ulrich Sibiller
-- 
Vorstandsvorsitzender/Chairman of the board of management:
Dr. Martin Matzke
Vorstand/Board of Management:
Johannes Barthmes, Yvonne Veyhelmann
Vorsitzender des Aufsichtsrats/
Chairman of the Supervisory Board:
Philippe Miltin
Aufsichtsrat/Supervisory Board:
Martin Wibbe, Winfried Holz
Sitz/Registered Office: Tuebingen
Registergericht/Registration Court: Stuttgart
Registernummer/Commercial Register No.: HRB 382196